# HG changeset patch
# Node ID c8744817e9b4
# Parent  718ec1d5fb21
diff --git a/pidgin/resources/proxyoptions.ui b/pidgin/resources/proxyoptions.ui
--- a/pidgin/resources/proxyoptions.ui
+++ b/pidgin/resources/proxyoptions.ui
@@ -75,11 +75,17 @@ Foundation, Inc., 51 Franklin Street, Fi
   <template class="PidginProxyOptions" parent="GtkBox">
     <property name="visible">True</property>
     <property name="can-focus">False</property>
+    <property name="margin-start">12</property>
+    <property name="margin-end">12</property>
+    <property name="margin-top">12</property>
+    <property name="margin-bottom">12</property>
     <property name="orientation">vertical</property>
+    <property name="spacing">6</property>
     <child>
       <object class="GtkBox">
         <property name="visible">True</property>
         <property name="can-focus">False</property>
+        <property name="spacing">6</property>
         <child>
           <object class="GtkLabel" id="proxy_type_label">
             <property name="visible">True</property>
@@ -88,7 +94,7 @@ Foundation, Inc., 51 Franklin Street, Fi
             <property name="use-underline">True</property>
             <property name="mnemonic-widget">proxy_type</property>
             <property name="xalign">0</property>
-            <property name="yalign">0</property>
+            <property name="yalign">0.5</property>
           </object>
           <packing>
             <property name="expand">False</property>
@@ -128,10 +134,12 @@ Foundation, Inc., 51 Franklin Street, Fi
         <property name="sensitive">False</property>
         <property name="can-focus">False</property>
         <property name="orientation">vertical</property>
+        <property name="spacing">6</property>
         <child>
           <object class="GtkBox">
             <property name="visible">True</property>
             <property name="can-focus">False</property>
+            <property name="spacing">6</property>
             <child>
               <object class="GtkLabel" id="host_label">
                 <property name="visible">True</property>
@@ -140,7 +148,7 @@ Foundation, Inc., 51 Franklin Street, Fi
                 <property name="use-underline">True</property>
                 <property name="mnemonic-widget">hostname</property>
                 <property name="xalign">0</property>
-                <property name="yalign">0</property>
+                <property name="yalign">0.5</property>
               </object>
               <packing>
                 <property name="expand">False</property>
@@ -171,6 +179,7 @@ Foundation, Inc., 51 Franklin Street, Fi
           <object class="GtkBox">
             <property name="visible">True</property>
             <property name="can-focus">False</property>
+            <property name="spacing">6</property>
             <child>
               <object class="GtkLabel" id="port_label">
                 <property name="visible">True</property>
@@ -179,7 +188,7 @@ Foundation, Inc., 51 Franklin Street, Fi
                 <property name="use-underline">True</property>
                 <property name="mnemonic-widget">port</property>
                 <property name="xalign">0</property>
-                <property name="yalign">0</property>
+                <property name="yalign">0.5</property>
               </object>
               <packing>
                 <property name="expand">False</property>
@@ -213,6 +222,7 @@ Foundation, Inc., 51 Franklin Street, Fi
           <object class="GtkBox">
             <property name="visible">True</property>
             <property name="can-focus">False</property>
+            <property name="spacing">6</property>
             <child>
               <object class="GtkLabel" id="username_label">
                 <property name="visible">True</property>
@@ -221,7 +231,7 @@ Foundation, Inc., 51 Franklin Street, Fi
                 <property name="use-underline">True</property>
                 <property name="mnemonic-widget">username</property>
                 <property name="xalign">0</property>
-                <property name="yalign">0</property>
+                <property name="yalign">0.5</property>
               </object>
               <packing>
                 <property name="expand">False</property>
@@ -251,6 +261,7 @@ Foundation, Inc., 51 Franklin Street, Fi
           <object class="GtkBox">
             <property name="visible">True</property>
             <property name="can-focus">False</property>
+            <property name="spacing">6</property>
             <child>
               <object class="GtkLabel" id="password_label">
                 <property name="visible">True</property>
@@ -259,7 +270,7 @@ Foundation, Inc., 51 Franklin Street, Fi
                 <property name="use-underline">True</property>
                 <property name="mnemonic-widget">password</property>
                 <property name="xalign">0</property>
-                <property name="yalign">0</property>
+                <property name="yalign">0.5</property>
               </object>
               <packing>
                 <property name="expand">False</property>
